org.apache.http.nio.protocol

## Interface HttpAsyncExpectationVerifier

    public interface HttpAsyncExpectationVerifier

`HttpAsyncExpectationVerifier` defines a strategy to verify whether or not an incoming HTTP request meets the target server's expectations.

A server that does not understand or is unable to comply with any of the expectation values in the Expect field of a request MUST respond with appropriate error status. The server MUST respond with a 417 (Expectation Failed) status if any of the expectations cannot be met or, if there are other problems with the request, some other 4xx status.

Since:
  4.2

### Method Summary

Methods
`void` `verify(HttpAsyncExchange httpExchange, HttpContext context)`

### Method Detail

#### verify

    void verify(HttpAsyncExchange httpExchange,
              HttpContext context)
                throws HttpException,
                       IOException

Throws:
  `HttpException`
  `IOException`